资源简介
AutoCAD 2013 执行命令 方法
代码片段和文件信息
using System;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.Geometry;
using Autodesk.AutoCAD.Runtime;
namespace ToolPaletteGas
{
/* public static class EditorInputExtensionMethods
{
public static PromptStatus Command(this Editor editor params object[] args)
{
if (editor == null)
throw new ArgumentNullException(“editor“);
return runCommand(editor args);
}
static Funcject[] PromptStatus> runCommand = GenerateRunCommand();
static Funcject[] PromptStatus> GenerateRunCommand()
{
MethodInfo method = typeof(Editor).GetMethod(“RunCommand“
BindingFlags.Instance | BindingFlags.NonPublic | BindingFlags.Public);
var instance = expression.Parameter(typeof(Editor) “instance“);
var args = expression.Parameter(typeof(object[]) “args“);
return expression.Lambdaject[] PromptStatus>>(
expression.Call(instance method args) instance args)
.Compile();
}
}
*/
public static class AboutCMD
{
[System.Security.SuppressUnmanagedCodeSecurity]
[DllImport(“accore.dll“ EntryPoint = “acedCmdS“ CharSet = CharSet.Auto CallingConvention = CallingConvention.Cdecl)]
extern static private int acedCmdS(IntPtr resbuf);
public static bool HasCommand = false;
public static Listject> BufferCommand = new Listject>();
public const string PauseToken = @“\“;
private static Hashtable resTypes;//
/* public static void RunCommand(bool echoCommand params object[] args)
{
Document doc = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument;
doc.Editor.Command(args);
}
public static void RunBurrerCommand()
{
if (HasCommand == true)
{
Document doc = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument;
doc.Editor.Command(BufferCommand.ToArray());
}
HasCommand = false;
BufferCommand.Clear();
}
*/
static AboutCMD()
{
resTypes = new Hashtable();
resTypes[typeof(String)] = (int)LispDataType.Text;
resTypes[typeof(string)] = (short)0x138d;
resTypes[typeof(double)] = (short)0x1389;
resTypes[typeof(Point3d)] = (short)0x1391;
resTypes[typeof(objectId)] = (short)0x138e;
属性 大小 日期 时间 名称
----------- --------- ---------- ----- ----
文件 6445 2014-11-17 14:29 InvokeArx.cs
文件 1787 2014-11-17 18:03 toolsPublicFun.cs
- 上一篇:Rockey4ND硬复制工具, 设置密码及ID工具
- 下一篇:零相位滤波
相关资源
- Visio 画《机器学习实战》第三章决策
- 2013北京科技大学计算机考研真题答案
- Intel_Parallel_Studio_XE_2013_SP1
- AutoCAD.NET开发教程
- VS2013三菱PLC通讯源码
- 品茗施工安全设施计算软件CSC2013版补
- visio2013安装包以及破解工具无需激活
- VS2013 Update 3 离线安装包 地址
- AutoCADNetWizards.msi
- adt-bundle-windows-x86_64-20130917-百度网盘链
- intel fortran composer 2013 licence
- ise14.5 和vivado2013.3 通用LICENSE
- Simatic_EKB_Install_2013_03_08最新授权.rar
- 兼容超级终端Ymodem协议的stm32程序更新
- 通达OA2013至2015.8.12升级和破解文件
- 北京2013-2018年期间空气质量历史数据
- 2013深圳杯获奖论文
- ISO27002-2013中文版
- 2013年电子设计大赛F题z资料!包括原
- Vs2013+cocos2dx贪吃蛇
- 读取obj文件含顶点法线,2013编译通过
- YD/T2561.3-2013 TD-LTE数字蜂窝移动通信网
- 安徽县级shp文件2013
- Office 2013 语言包含32、64位官方地址
- AutoCAD .NET API进行AutoCAD二次开发基础代
- Kinect+PCL Demo程序 点云处理和显示 VS
- AutoCAD横向图纸模板
- 解决AUTOCAD 2019 net wizard 安装时提示未
- intel_parallel_studio_xe_2013_update2_intel64_
-
ob
jectarx wizard 2012配置与helloworld
评论
共有 条评论